# $Revision: 1.5 $, $Date: 2005/09/18 21:10:00 $

%define		_name	alloy

Summary:	KDE theme - %{_name}
Summary(pl):	Motyw KDE - %{_name}
Name:		kde-theme-%{_name}
Version:	0.5.2
Release:	3
License:	X11
Group:		Themes
Source0:	http://kde-look.org/content/files/10605-%{_name}-%{version}.tar.bz2
# Source0-md5:	cbf479f1145ebdd0f54b055cf8d42788
Patch0:		%{_name}-c++.patch
URL:		http://www.kde-look.org/content/show.php?content=2306
BuildRequires:	autoconf
BuildRequires:	unsermake
BuildRequires:	automake
BuildRequires:	kdelibs-devel >= 9:3.2.0
BuildRequires:	kdebase-desktop-libs >= 9:3.2.0
Requires:	kde-decoration-%{_name}
Requires:	kde-style-%{_name}
Requires:	kde-colorscheme-%{_name}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Alloy is a java alloy clone. It features rounded, lightweight and
mildly convex widgets. This package contains an alloy color scheme
which combines a yellow look with blue highlight colors. This package
also contains a kwin decoration with solid background and outlines and
transparent, visible buttons.

%description -l pl
Alloy to kopia stylu o tej samej nazwie stosowanego w aplikacjach
napisanych w Javie. Oferuje zaokrglone, lekkie elementy interfejsu o
subtelnej wypukoci. Ten pakiet zawiera schemat kolorw czcy ty
wygld aplikacji z niebieskimi kolorami podwietlonych elementw menu
i tytuu okna. Ten pakiet zawiera take dekoracje kwin
charakteryzujc si staym (zaleny od schematu kolorw) kolorem ta
i brzegw okna oraz przeroczystymi widocznymi przyciskami.

%package -n kde-style-%{_name}
Summary:	KDE style - %{_name}
Summary(pl):	Styl do KDE - %{_name}
Group:		Themes
Requires:	kdelibs

%description -n kde-style-%{_name}
Alloy is a java alloy clone. It features rounded, lightweight and
mildly convex widgets.

%description -n kde-style-%{_name} -l pl
Alloy to kopia stylu o tej samej nazwie stosowanego w aplikacjach
napisanych w Javie. Oferuje zaokrglone, lekkie elementy interfejsu o
subtelnej wypukoci.

%package -n kde-colorscheme-%{_name}
Summary:	Color scheme for KDE style - %{_name}
Summary(pl):	Schemat kolorw do stylu KDE - %{_name}
Group:		Themes
Requires:	kdebase-core

%description -n kde-colorscheme-%{_name}
This package contains an alloy color scheme which combines a yellow
look with blue highlight colors.

%description -n kde-colorscheme-%{_name} -l pl
Ten pakiet zawiera schemat kolorw czcy ty wygld aplikacji z
niebieskimi kolorami podwietlonych elementw menu i tytuu okna.

%package -n kde-decoration-%{_name}
Summary:	Kwin decoration - %{_name}
Summary(pl):	Dekoracja kwin - %{_name}
Group:		Themes
Requires:	kdebase-desktop-libs >= 9:3.2.0

%description -n kde-decoration-%{_name}
This package contains a kwin decoration with solid background and
outlines and transparent, visible buttons.

%description -n kde-decoration-%{_name} -l pl
Ten pakiet zawiera dekoracje kwin charakteryzujc si staym (zaleny
od schematu kolorw) kolorem ta i brzegw okna oraz przeroczystymi
widocznymi przyciskami.

%prep
%setup -q -n %{_name}-%{version}
%patch0 -p1

%build
cp -f %{_datadir}/automake/config.sub admin
export UNSERMAKE=%{_datadir}/unsermake/unsermake
%{__make} -f Makefile.dist

%configure \
	--with-qt-libraries=%{_libdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir="%{_kdedocdir}" \
	kde_libs_htmldir="%{_kdedocdir}"

%clean
rm -rf $RPM_BUILD_ROOT

%files

%files -n kde-decoration-%{_name}
%defattr(644,root,root,755)
%{_libdir}/kde3/kwin*.la
%attr(755,root,root) %{_libdir}/kde3/kwin*.so
%{_datadir}/apps/kwin/*.desktop

%files -n kde-style-%{_name}
%defattr(644,root,root,755)
##%{_libdir}/kde3/kstyle_*.la
##%attr(755,root,root) %{_libdir}/kde3/kstyle_*.so
%{_libdir}/kde3/plugins/styles/*.la
%attr(755,root,root) %{_libdir}/kde3/plugins/styles/*.so
%{_datadir}/apps/kstyle/themes/*.themerc

%files -n kde-colorscheme-%{_name}
%defattr(644,root,root,755)
%{_datadir}/apps/kdisplay/color-schemes/*.kcsrc

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kde-theme-alloy.spec,v $
Revision 1.5  2005/09/18 21:10:00  glen
- create base package depend on decoration/style/colorscheme packages; rel 3

Revision 1.4  2004/08/17 15:40:35  djurban
- update to 0.5.2

Revision 1.3  2004/05/27 18:57:18  djurban
- removed obsolete exports, htmldir export moved to make install
- proper R/BR because the decoration uses kwin III API (introduced in kde 3.2)

Revision 1.2  2004/05/23 01:13:50  qboosh
- cleanups, BR: automake

Revision 1.1  2004/05/22 17:54:57  djurban
- alloy clone from java (incors.com)
http://kde-look.org/content/pre1/10605-1.png
http://kde-look.org/content/pre1/10605-2.png
